
%global meadversion 3.0.2
%global namedversion 3.0.2.redhat-3
%global meadalpha .redhat_3
%global meadrel .1
%global serial 6

# Copyright (c) 2000-2012, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


%bcond_without mead

%if %with mead
%bcond_with repolib
%else
%bcond_without repolib
%endif

%global short_name neethi

%define maven_version 3.0.2.redhat-3

Name:           ws-commons-neethi
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Apache Neethi WS-Policy implementation 
License:        ASL 2.0
Group:          Text Processing/Markup/XML

%if %with mead
Source100: neethi-3.0.2.redhat-3-scm-sources.zip
Source102: neethi-3.0.2.redhat-3.pom
Source103: neethi-3.0.2.redhat-3-javadoc.jar
Source104: neethi-3.0.2.redhat-3.jar
Source105: neethi-3.0.2.redhat-3-sources.jar
%endif

URL:            http://ws.apache.org/commons/neethi/index.html
%if %without mead
# svn export http://svn.apache.org/repos/asf/webservices/commons/tags/neethi/neethi-3.0.1/ neethi && tar cjf neethi-3.0.1.tar.bz2 neethi
# Exported revision 1208294.
Source0:        %{short_name}-%{version}.tar.bz2
Source3:        %{name}-build.xml
# comment rat-plugin
Patch0:     %{name}-pom-vman.patch

BuildRequires:  ant >= 0:1.6
BuildRequires:  jpackage-utils >= 0:1.7.3
BuildRequires:  java-devel >= 0:1.5.0
BuildRequires:  jdepend
BuildRequires:  junit >= 0:3.8.2

BuildRequires:  jboss-parent
BuildRequires:  maven2 >= 2.0.7
BuildRequires:  maven2-plugin-antrun
BuildRequires:  maven2-plugin-assembly
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-deploy
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-one
BuildRequires:  maven2-plugin-project-info-reports
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven2-plugin-site
BuildRequires:  maven2-plugin-source
BuildRequires:  maven2-plugin-surefire
BuildRequires:  maven2-default-skin
BuildRequires:  maven-deploy-plugin
BuildRequires:  maven-jxr
BuildRequires:  maven-release-plugin
BuildRequires:  maven-surefire-provider-junit
#BuildRequires:  mojo-maven2-plugin-jdepend
BuildRequires:  maven-bundle-plugin

BuildRequires:  ws-commons-axiom >= 0:1.2.13
BuildRequires:  woodstox-core >= 0:4.0.8
BuildRequires:  jakarta-commons-logging
BuildRequires:  wsdl4j >= 0:1.6.2
%endif

BuildRequires:  java-devel
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires:       woodstox-core >= 0:4.0.8
#Requires:       wsdl4j >= 0:1.6.2
Requires:       wsdl4j
#Requires:       ws-commons-axiom >= 0:1.2.13

# ws-commons-policy has NOT been renamed to neethi
Obsoletes:      neethi <= 0:1.0.1
Provides:       neethi = %{epoch}:%{version}-%{release}

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Apache Neethi provides an implementation of WS-Policy specification.It
provides a convenient model to process any policy information at
runtime. In other words, it allows you to convert any policy to an
object (which is its runtime representation) and play with it as you
like.

%if %without mead
%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

Requires:       jpackage-utils

%description javadoc
%{summary}.
%endif

%if %with repolib
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java


%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%prep

%if %without mead
%setup -q -n %{short_name}
%patch0 -p1 -b .sav0
cp -p %{SOURCE3} build.xml
%endif

%build
%if %without mead
# skip test due to patch0
mvn-jpp \
        -e \
        -Dmaven.test.skip=true \
%if 0
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
%endif
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -DaltDeploymentRepository=jboss-releases::default::file://$(pwd)/maven2-brew \
        javadoc:aggregate deploy
%endif

%install
rm -rf %{buildroot}


# create an empty MANIFEST.MF
cat > MANIFEST.MF << EOT

EOT

install -d -m 755 %{buildroot}%{_javadir}

%if %without mead

%if 0
# Can be disabled as we no longer sign/unsign JARs
# update & correct the MANIFEST.MF in jar to have a blank end line
# this fix JBPAPP-9190, empty MANIFEST.MF in signed jars
%{jar} ufm target/%{short_name}-%{namedversion}.jar MANIFEST.MF
%endif

%{__cp} -p target/%{short_name}-%{namedversion}.jar %{buildroot}%{_javadir}/%{short_name}-%{namedversion}.jar
%{__cp} -p target/%{short_name}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{short_name}-%{namedversion}-sources.jar
%else
%if 0
# Can be disabled as we no longer sign/unsign JARs
# update & correct the MANIFEST.MF in jar to have a blank end line
# this fix JBPAPP-9190, empty MANIFEST.MF in signed jars
%{jar} ufm %{_sourcedir}/%{short_name}-%{namedversion}.jar MANIFEST.MF
%endif
%{__cp} -p %{_sourcedir}/%{short_name}-%{namedversion}.jar %{buildroot}%{_javadir}/%{short_name}-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/%{short_name}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{short_name}-%{namedversion}-sources.jar
%endif

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do ln -sf ${jar} ${jar/-%{namedversion}/}; done)

# poms
install -d -m 755 %{buildroot}%{_mavenpomdir}
%if %without mead
%{__cp} -p pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{short_name}.pom
%else
%{__cp} -p %{_sourcedir}/%{short_name}-%{namedversion}.pom %{buildroot}%{_datadir}/maven2/poms/JPP-%{short_name}.pom
%endif

%add_to_maven_depmap org.apache.neethi neethi %{namedversion} JPP %{short_name}
[ -f %{buildroot}%{_mavendepmapfragdir}/%{short_name} ] || mv %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{short_name}

# javadoc
%if %without mead
install -d -m 755 %{buildroot}%{_javadocdir}/%{short_name}-%{namedversion}
%if %without mead
%{__cp} -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{short_name}-%{namedversion}
%else
%{__unzip} -qq %{_sourcedir}/%{short_name}-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{short_name}-%{namedversion}
%{__rm} -r %{buildroot}%{_javadocdir}/%{short_name}-%{namedversion}/META-INF
%endif
%endif

%if %without mead
%{__ln_s} %{short_name}-%{namedversion} %{buildroot}%{_javadocdir}/%{short_name}
%endif

%if %with repolib
%{__mkdir_p} %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
%{__cp} -pr maven2-brew/* %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew

# keep sources
rm -f %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew/org/apache/neethi/neethi/3.0.1-redhat-2/neethi-3.0.1-redhat-2.*
mvn-jpp -e \
    -Dmaven.repository.local=`pwd`/.m2/repository \
    deploy:deploy-file \
    -DpomFile=%{buildroot}%{_mavenpomdir}/JPP-%{short_name}.pom \
    -Dfile=%{buildroot}%{_javadir}/%{short_name}-%{namedversion}.jar \
    -Durl=file://%{buildroot}/usr/share/java/repository.jboss.com/maven2-brew/ \

%endif

%clean
rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap 

%files
%defattr(0644,root,root,0755)
%{_javadir}*/%{short_name}-%{namedversion}.jar
%{_javadir}*/%{short_name}.jar
%{_javadir}*/%{short_name}-%{namedversion}-sources.jar
%{_javadir}*/%{short_name}-sources.jar
%{_mavenpomdir}/JPP-%{short_name}.pom
%{_mavendepmapfragdir}/%{short_name}

%if %without mead
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{short_name}-%{namedversion}
%{_javadocdir}/%{short_name}
%endif

%if %with repolib
%files repolib
%defattr(0644,root,root,0755)
%dir %{_javadir}*
%exclude %dir %{_javadocdir}
%{_javadir}*/repository.jboss.com
%endif

%changelog
* Mon Oct 14 2013 Lin Gao <lgao@redhat.com> 0:3.0.2-6.redhat_3
- Rebuild to use inner git repository for CC
- Use new version release mechnism
- Disable javadoc subpackage in wrapper mode

* Tue Sep 25 2012 Yong Yang <yyang@redhat.com> 0:3.0.2-5.redhat_2
- Patch OMToDOMConverter to use DOM MetaFactory as default

* Tue Sep 25 2012 Yong Yang <yyang@redhat.com> 0:3.0.2-4.redhat_2
- Upgrade to 3.0.2
- Build with axiom 1.2.12 with path for OMToDOMConverter

* Thu Sep 20 2012 Fernando Nasser <fnasser@redhat.com> - 0:3.0.1-13.redhat_2
- Remove fix for JBPAPP-9190 as it is no longer needed and changes the MD5

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:3.0.1-12.redhat_2
- Rebuild for MD5

* Thu Sep 13 2012 Yong Yang <yyang@redhat.com> 0:3.0.1-11
- Downgrade to 3.0.1, 3.0.2 needs ws-commons-axiom 1.2.13 which needs apache-mime4j 0.7.2, \
  upgrading apache-mime4j from 0.6 to 0.7.2 probably bring compatibility issue, maybe we can postpone this upgrade to EAP6.1

* Thu Sep 13 2012 Yong Yang <yyang@redhat.com> 0:3.0.2-3
- Comment "Requires: ws-commons-axiom", so we don't need to ship ws-commons-axiom

* Thu Sep 06 2012 David Walluck <dwalluck@redhat.com> 0:3.0.2-2
- fix deploy-file command by setting maven.repo.local
- BuildRequires: java-devel for jar command
- fix Release (reltag is conditional)

* Thu Aug 23 2012 Yong Yang <yyang@redhat.com> - 0:3.0.2-1.redhat_1
- Upgrade to 3.0.2

* Thu Aug 09 2012 Fernando Nasser <fnasser@redhat.com> - 0:3.0.1-10.redhat_2.2
- Rebuild unsigned

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:3.0.1-10.redhat_1.1
- Rebuild using cache signing

* Mon Jul 16 2012 Yong Yang <yyang@redhat.com> - 0:3.0.1-10.redhat_1
- Add Requires

* Thu May 31 2012 Yong Yang <yyang@redhat.com> - 0:3.0.1-9.redhat_1
- First Mead build

* Thu May 31 2012 Yong Yang <yyang@redhat.com> - 0:3.0.1-8.redhat_1
- Keep sources jar in repolib

* Thu May 31 2012 Yong Yang <yyang@redhat.com> - 0:3.0.1-7.redhat_1
- Deploy fixed jar to repolib

* Thu May 31 2012 Yong Yang <yyang@redhat.com> - 0:3.0.1-6.redhat_1
- Fix JBPAPP-9190, blank manifest in EAP build

* Thu Apr 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:3.0.1-5.redhat_1
- Do not specify the version for wsdl4j at run-time

* Mon Mar 26 2012 Fernando Nasser <fnasser@redhat.com> - 0:3.0.1-4_redhat_1.1
- Rebuild using cache signing

* Fri Feb 03 2012 David Walluck <dwalluck@redhat.com> 0:3.0.1-4
- fix Requires (only woodstox-core and wsdl4j)
- fix jar names
- fix repolib file ownership
- remove gcj support
- always install pom
- remove old neethi-3.0.0.tar.bz2

* Fri Jan 27 2012 Fernando Nasser <fnasser@redhat.com> - 0:3.0.1-3_redhat_1.1
- Requires wsdl4j (no 16)

* Wed Nov 30 2011 Yong Yang <yyang@redhat.com> - 0:3.0.1-3_redhat_1
- Use deploy:deploy to deploy artifacts to repolib

* Wed Nov 30 2011 Yong Yang <yyang@redhat.com> - 0:3.0.1-2_redhat_1
- Build for Werewolf

* Wed Nov 30 2011 Yong Yang <yyang@redhat.com> - 0:3.0.1-1
- Upgrade to 3.0.1

* Wed Jun 22 2011 Yong Yang <yyang@redhat.com> - 0:3.0.0-3
- Rebuild

* Wed Jun 22 2011 Yong Yang <yyang@redhat.com> - 0:3.0.0-2
- Remove Patch1 Patch2
- Remove upload.sh, use mvn deploy:deploy-file in repolib instead

* Mon Jun 20 2011 Yong Yang <yyang@redhat.com> - 0:3.0.0-1
- Upgrade to 3.0.0
- Add patches, see comments

* Wed Apr 06 2011 Martha Benitez <mbenitez@redhat.com> - 0:2.0.4-1.2.2.3
- Fix dist in Release

* Thu Dec 9 2010 Yiqiao Wang <yiwang@redhat.com> 0:2.0.4-1.2.2.2
- Build with Maven 2.2.1
- Add upload.sh to repolib
- Fix %%files for signed jars
- Add content of maven2-brew, add BR maven-deploy-plugin
- Add the line to find and remove any binaries
- change BR  maven-release to  maven-release-plugin
- add BR codehaus-stax11-api
- disable "site" document generation

* Wed Jun 30 2010 Permaine Cheung <pcheung@redhat.com> 0:2.0.4-1.2.2.1
- Replace wsdl4j by wsdl4j16 for RHEL 5

* Mon Jun 28 2010 Yiqiao Wang <yiwang@redhat.com> 0:2.0.4-1.2.2
- Remove the listings of Patch0: %{name}-pom_xml.patch and Patch1: %{name}-site_xml.patch

* Mon Jun 28 2010 Yiqiao Wang <yiwang@redhat.com> 0:2.0.4-1.2.1
- Rebuild for EAP 5.1

* Wed Dec 09 2009 Martha Benitez <mbenitez@redhat.com> 0:2.0.4-1.2
- Fix repolib location and depmap fragment
- Change component id and artifact id from ws-commons-neethi to neethi in component-info.xml
- Add pom.xml to repolib
- Add sources.jar to main package and repolib

* Thu Jul 30 2009 Martha Benitez <mbenitez@redhat.com> 0:2.0.4-1.1
- Change jpackage-utils >= 0:1.7.5 to jpackage-utils >= 0:1.7.3
- Change (B)R wstx32 to wstx
- Comment mojo-maven2-plugin-jdepend
- Add repolib

* Tue Jul 28 2009 David Walluck <dwalluck@redhat.com> 0:2.0.4-1
- 2.0.4

* Mon Mar 23 2009 Ralph Apel <r.apel at r-apel.de> 0:2.0.1-4.jpp5
- (B)R wstx32 because wstx is frozen to 3.1.1 in JPP-5

* Mon Feb 09 2009 Ralph Apel <r.apel at r-apel.de> 0:2.0.1-3.jpp5
- Rebuild with current best practices

* Wed Jul 11 2007 Ralph Apel <r.apel at r-apel.de> 0:2.0.1-2jpp
- Remove false Provides/Obsoletes ws-commons-policy

* Wed May 30 2007 Ralph Apel <r.apel at r-apel.de> 0:2.0.1-1jpp
- Upgrade to 2.0.1
- Build with maven2 by default
- Make Vendor, Distribution based on macro
- Add gcj_support option

* Fri May 19 2006 Deepak Bhole <dbhole@redhat.com> 0:1.0-1jpp
- Initial build
